<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="onCloseClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="doNotShowAgainClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="knowClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/app_common_page_horizontal_padding"
            android:layout_marginEnd="@dimen/app_common_page_horizontal_padding"
            android:onClick="@{onCloseClick}"
            android:src="@drawable/icon_recording_close"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.0666666666666667" />

        <View
            android:id="@+id/v_recording_bg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="@dimen/app_common_page_horizontal_padding"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_recording_card"
            app:layout_constraintDimensionRatio="336:408"
            app:layout_constraintTop_toBottomOf="@+id/iv_close" />

        <ImageView
            android:id="@+id/iv_recording_header"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/app_common_page_horizontal_padding"
            android:src="@drawable/iv_recording_header"
            app:layout_constraintDimensionRatio="312:162"
            app:layout_constraintEnd_toEndOf="@+id/v_recording_bg"
            app:layout_constraintStart_toStartOf="@+id/v_recording_bg"
            app:layout_constraintTop_toTopOf="@+id/v_recording_bg"
            app:layout_constraintWidth_percent="0.8666666666666667" />

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:24"
            app:layout_constraintTop_toBottomOf="@+id/iv_recording_header" />

        <TextView
            android:id="@+id/tv_recording_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/dialog_recording_title"
            android:textColor="@color/colorPrimary"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="@id/v_recording_bg"
            app:layout_constraintStart_toStartOf="@id/v_recording_bg"
            app:layout_constraintTop_toBottomOf="@+id/space1" />

        <TextView
            android:id="@+id/tv_recording_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/app_common_page_horizontal_padding"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:text="@string/dialog_recording_desc"
            android:textColor="#32333C"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@+id/v_recording_bg"
            app:layout_constraintStart_toStartOf="@id/v_recording_bg"
            app:layout_constraintTop_toBottomOf="@+id/tv_recording_title" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:16"
            app:layout_constraintTop_toBottomOf="@+id/tv_recording_desc" />

        <ImageView
            android:id="@+id/iv_checkbox"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:onClick="@{doNotShowAgainClick}"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintLeft_toLeftOf="@id/v_recording_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_checkbox_text"
            app:layout_constraintTop_toBottomOf="@+id/space2"
            app:layout_constraintWidth_percent="0.05"
            tools:src="@drawable/icon_checkbox_no_select" />

        <TextView
            android:id="@+id/tv_checkbox_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:onClick="@{doNotShowAgainClick}"
            android:text="@string/dialog_recording_checkbox_text"
            android:textColor="#32333C"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_checkbox"
            app:layout_constraintLeft_toRightOf="@+id/iv_checkbox"
            app:layout_constraintRight_toRightOf="@+id/v_recording_bg"
            app:layout_constraintTop_toTopOf="@+id/iv_checkbox" />

        <TextView
            android:layout_width="0dp"
            android:textSize="17sp"
            android:textColor="@color/colorPrimary"
            android:textStyle="bold"
            android:onClick="@{knowClick}"
            android:gravity="center"
            android:text="@string/dialog_recording_know"
            android:background="@drawable/bg_voice_ai_btn"
            app:layout_constraintVertical_bias="0.9416666666666667"
            app:layout_constraintWidth_percent="0.6666666666666667"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/v_recording_bg"
            app:layout_constraintDimensionRatio="240:48"
            app:layout_constraintEnd_toEndOf="@id/v_recording_bg"
            app:layout_constraintStart_toStartOf="@id/v_recording_bg"
            app:layout_constraintTop_toTopOf="@id/v_recording_bg" />

        <Space
            android:layout_width="match_parent"
            android:layout_height="@dimen/app_common_page_horizontal_padding"
            app:layout_constraintTop_toBottomOf="@+id/v_recording_bg" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>